classification
Title: update sqlite to 3.14.2
Type: enhancement Stage: resolved
Components: macOS, Windows Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Big Stone, Mariatta, matrixise, ned.deily, paul.moore, python-dev, ronaldoussoren, steve.dower, tim.golden, zach.ware
Priority: Keywords: patch

Created on 2016-09-19 20:36 by Big Stone, last changed 2016-11-29 19:19 by Big Stone. This issue is now closed.

Files
File name Uploaded Description Edit
issue28208.patch Mariatta, 2016-10-11 02:52 review
Messages (11)
msg276984 - (view) Author: Big Stone (Big Stone) Date: 2016-09-19 20:36
sqlite 3.14.2 released September 12th is said to correct 3 bugs. 
(https://www.sqlite.org/releaselog/3_14_2.html)

I would suggest to upgrade from Sqlite 3.14.1 to sqlite 3.14.2 for beta2
msg278449 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2016-10-11 01:57
I'd like to see this in 3.6.0b3.
msg278452 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2016-10-11 02:52
Hello,

Attached is the patch for updating sqlite version to 3.14.2.

Please review, and let me know if this works.

Thanks :)
msg278455 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-10-11 03:38
New changeset b7e068d6c53f by Zachary Ware in branch '3.6':
Issue #28208: Update Windows build to use SQLite 3.14.2.0
https://hg.python.org/cpython/rev/b7e068d6c53f

New changeset 3e329b553567 by Zachary Ware in branch 'default':
Issue #28208: Merge with 3.6
https://hg.python.org/cpython/rev/3e329b553567
msg278858 - (view) Author: Stéphane Wirtel (matrixise) * (Python triager) Date: 2016-10-18 12:31
Maybe we could merge the patch of Mariatta and close this issue.
msg279134 - (view) Author: Stéphane Wirtel (matrixise) * (Python triager) Date: 2016-10-21 14:54
how to build the osx installer ?

Thank you
msg279837 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-10-31 23:37
New changeset 7e48e0557152 by Ned Deily in branch 'default':
Issue #28208: merge from 3.6
https://hg.python.org/cpython/rev/7e48e0557152
msg279838 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2016-10-31 23:42
[typo in commit message, should be #28208]

New changeset 88e3df38d591 by Ned Deily in branch '3.6':
Issue #28028: Update OS X installers to use SQLite 3.14.2.
https://hg.python.org/cpython/rev/88e3df38d591
msg279839 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2016-10-31 23:44
Thanks for the patch, Mariatta!  Pushed for release in 3.6.0b3.
msg282022 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2016-11-29 17:35
sqlite 3.15.2 was just released.
I can prepare a patch if that's what we want.
msg282032 - (view) Author: Big Stone (Big Stone) Date: 2016-11-29 19:19
As far as I test, the novelties from 0.15.2 don't break any API (just nice SQL-syntax sugar), and correct some old 3.8.0 bugs.

and ".2" is the same level of stabilisation as current "0.14.2"
History
Date User Action Args
2016-11-29 19:19:37Big Stonesetmessages: + msg282032
2016-11-29 17:35:51Mariattasetmessages: + msg282022
2016-10-31 23:44:15ned.deilysetstatus: open -> closed
priority: release blocker ->
messages: + msg279839

resolution: fixed
stage: commit review -> resolved
2016-10-31 23:42:13ned.deilysetmessages: + msg279838
2016-10-31 23:37:08python-devsetmessages: + msg279837
2016-10-21 21:49:49matrixisesetstage: needs patch -> commit review
2016-10-21 14:54:53matrixisesetmessages: + msg279134
2016-10-18 12:31:17matrixisesetnosy: + matrixise
messages: + msg278858
2016-10-11 03:38:06python-devsetnosy: + python-dev
messages: + msg278455
2016-10-11 02:52:19Mariattasetfiles: + issue28208.patch

nosy: + Mariatta
messages: + msg278452

keywords: + patch
2016-10-11 01:57:29ned.deilysetmessages: + msg278449
2016-09-19 20:41:20ned.deilysetversions: + Python 3.6, Python 3.7
nosy: + ned.deily, paul.moore, tim.golden, ronaldoussoren, steve.dower

priority: normal -> release blocker
components: + macOS, Windows
stage: needs patch
2016-09-19 20:36:48Big Stonecreate